Bug 966613 - git-svn: 'tempfile' can't be called as a method
git-svn: 'tempfile' can't be called as a method
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: git (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Chris Wright
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 10:40 EDT by Kalev Lember
Modified: 2014-05-22 09:39 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-22 09:39:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kalev Lember 2013-05-23 10:40:37 EDT
On an up to date rawhide system I get:

$ git svn rebase
'tempfile' can't be called as a method at /usr/share/perl5/vendor_perl/Git.pm line 1114.

This is with git-1.8.2.1-4.fc20.x86_64
Comment 1 Evangelos Foutras 2013-05-26 16:54:14 EDT
FYI, this is fixed in Git 1.8.3.

From the release notes:

 * Recent versions of File::Temp (used by "git svn") started blowing
   up when its tempfile sub is called as a class method; updated the
   callsite to call it as a plain vanilla function to fix it.
   (merge eafc2dd hb/git-pm-tempfile later to maint).

https://raw.github.com/git/git/master/Documentation/RelNotes/1.8.3.txt
Comment 2 Fedora End Of Life 2013-09-16 10:00:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Ondrej Oprala 2014-05-22 09:39:53 EDT
we now have git-1.9.3 in f20, so this should be fixed for some time now.

Note You need to log in before you can comment on or make changes to this bug.